variables:
  DOCKER_FILE: Dockerfile
  DOCKER_TAG: latest
  DOCKER_IMAGE: ${CI_REGISTRY_IMAGE}
  FF_GITLAB_REGISTRY_HELPER_IMAGE: 1

stages:
  - image
  - deploy

image:httpd:
  stage: image
  image:
    name: docker
  before_script:
    - docker version
    - docker login --username "${CI_REGISTRY_USER}" --password "${CI_REGISTRY_PASSWORD}" "${CI_REGISTRY}"
  script:
    - docker build -f ${DOCKER_FILE} -t ${DOCKER_IMAGE}:${DOCKER_TAG} .
    - docker push ${DOCKER_IMAGE}:${DOCKER_TAG}
  tags:
    - docker
  only:
    refs:
      - master

deploy:httpd:
  stage: deploy
  variables:
    KUBECONFIG: /root/.kube/config
    KUBEVIRT_VERSION: v0.36.0
  environment:
    name: production
  image: ${CI_REGISTRY}/acs/internal/cloud/kubernetes/deployment:2
  before_script:
    - mkdir -p $(dirname ${KUBECONFIG})
    - echo "${KUBECONFIG_ENCODED}" | base64 -d > ${KUBECONFIG}
    - kubectl cluster-info
    - kubectl version
    - helm version
  script:
    - kubectl apply -f httpd.yaml
    - kubectl rollout -n sos-demo restart deployment sos-httpd
  only:
    refs:
      - master
